org.apache.cassandra.db

## Class LegacyLayout.LegacyRangeTombstoneList

- java.lang.Object
- - org.apache.cassandra.db.LegacyLayout.LegacyRangeTombstoneList

Enclosing class:
  LegacyLayout

    public static class LegacyLayout.LegacyRangeTombstoneList
    extends java.lang.Object

Almost an entire copy of RangeTombstoneList from C* 2.1. The main difference is that LegacyBoundComparator is used in place of `Comparator<Composite>` (because Composite doesn't exist any more). This class is needed to allow us to convert single-row deletions and complex deletions into range tombstones and properly merge them into the normal set of range tombstones.

### Constructor Summary

Constructors
Constructor and Description
`LegacyRangeTombstoneList(org.apache.cassandra.db.LegacyLayout.LegacyBoundComparator comparator, int capacity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(LegacyLayout.LegacyBound start, LegacyLayout.LegacyBound end, long markedAt, int delTime)` Adds a new range tombstone.
`void` `addAll(LegacyLayout.LegacyRangeTombstoneList tombstones)` Adds all the range tombstones of `tombstones` to this RangeTombstoneList.
`boolean` `isEmpty()`
`void` `serialize(DataOutputPlus out, CFMetaData metadata)`
`long` `serializedSize(CFMetaData metadata)`
`int` `size()`
`java.lang.String` `toString()`
`void` `updateDigest(java.security.MessageDigest digest)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LegacyRangeTombstoneList

    public LegacyRangeTombstoneList(org.apache.cassandra.db.LegacyLayout.LegacyBoundComparator comparator,
                                    int capacity)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### isEmpty

    public boolean isEmpty()

#### size

    public int size()

#### add

    public void add(LegacyLayout.LegacyBound start,
                    LegacyLayout.LegacyBound end,
                    long markedAt,
                    int delTime)

Adds a new range tombstone. This method will be faster if the new tombstone sort after all the currently existing ones (this is a common use case), but it doesn't assume it.

#### addAll

    public void addAll(LegacyLayout.LegacyRangeTombstoneList tombstones)

Adds all the range tombstones of `tombstones` to this RangeTombstoneList.

#### updateDigest

    public void updateDigest(java.security.MessageDigest digest)

#### serialize

    public void serialize(DataOutputPlus out,
                          CFMetaData metadata)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(CFMetaData metadata)